%Codigo Ejemplo para simular codigo de reconocimiento de voz en Arduino%

clc
close all

%a = arduino('/dev/cu.usbmodem141301');
PinLed='D13';
b = 0;
writeDigitalPin(a,PinLed,0);

n = 10;
while n > 1   
    x = input ("Que numero quiere entrar?");
    
    if x == 0 && b == 0
       writeDigitalPin(a,PinLed,1)
       b = 1;
       %Si se oprimio UNO
       
    elseif x == 1 && b == 1
        disp('El sistema ya esta encendido y esta en nivel UNO')
    
    elseif x == 1 && b == 0
        writeDigitalPin(a,PinLed,1);
        b = 1;
        
    elseif x == 1 && b == 2
        writeDigitalPin(a,PinLed,0);
        pause(1);
        writeDigitalPin(a,PinLed,1);
        pause(1);
        writeDigitalPin(a,PinLed,0);
        pause(1);
        writeDigitalPin(a,PinLed,1);
        
        b = 1;
        
    elseif x == 1 && b == 3
        writeDigitalPin(a,PinLed,0);
        pause(1);
        writeDigitalPin(a,PinLed,1);
        
        b = 1;             
        
        %Si se oprimio DOS
    elseif x == 2 && b == 0
        writeDigitalPin(a,PinLed,1);
        pause(1);
        writeDigitalPin(a,PinLed,0);
        pause(1);
        writeDigitalPin(a,PinLed,1);
        b = 2;
        
    elseif x == 2 && b == 1
        writeDigitalPin(a,PinLed,0);
        pause(1);
        writeDigitalPin(a,PinLed,1);
        b = 2;
        
    elseif x == 2 && b == 2
        disp('El sistema ya esta encendido y esta en nivel DOS')
        
    elseif x == 2 && b == 3
        writeDigitalPin(a,PinLed,0)
        pause(1);
        writeDigitalPin(a,PinLed,1);
        pause(1);
        writeDigitalPin(a,PinLed,0);
        pause(1);
        writeDigitalPin(a,PinLed,1);
        
        b = 2;
        
        %Si se oprimio TRES
        
    elseif x == 3 && b == 0
        writeDigitalPin(a,PinLed,1);
        pause(1);
        writeDigitalPin(a,PinLed,0)
        pause(1);
        writeDigitalPin(a,PinLed,1);
        pause(1);
        writeDigitalPin(a,PinLed,0);
        pause(1);
        writeDigitalPin(a,PinLed,1);
        
        b = 3;
        
     elseif x == 3 && b == 1
        writeDigitalPin(a,PinLed,0);
        pause(1);
        writeDigitalPin(a,PinLed,1);
        pause(1);
        writeDigitalPin(a,PinLed,0);
        pause(1);
        writeDigitalPin(a,PinLed,1);
        b = 3;
        
     elseif x == 3 && b == 2
        writeDigitalPin(a,PinLed,0);
        pause(1);
        writeDigitalPin(a,PinLed,1);
        b = 3;

     elseif x == 3 && b == 3
        disp('El sistema ya esta encendido y esta en nivel TRES')

        
    elseif x == 4
        writeDigitalPin(a,PinLed,0);
        b = 0;

        
    end
    
end
